Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class PlanMaker.Pass2

    java.lang.Object
      ix.util.ObjectCopier
          ix.ip2.PlanMaker.Pass2

All Implemented Interfaces:
  ObjectMapper

Enclosing class:
  PlanMaker

     class PlanMaker.Pass2

extends ObjectCopier

Constructs a deep copy of a plan in which each Variable has been replaced by its value, if it has a value, or else by a PlanVariable.

Field Summary

Fields inherited from class ix.util.ObjectCopier
`syntax`

Constructor Summary
`PlanMaker.Pass2()`

Method Summary
`(package private) PlanVariable` | `getPV(Variable var)`
`java.lang.Object` | `mapElement(java.lang.Object obj)` Called on subobjects of the object being copied to determine what object takes the subobject's place in the copy.
`(package private) java.lang.Object` | `mapVariable(Variable var)`

Methods inherited from class ix.util.ObjectCopier
`copy, copyLList, main, mapList, mapMap, mapPrimitive, mapSet, mapStruct, mapXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlanMaker.Pass2

    PlanMaker.Pass2()

Method Detail

### mapElement

    public java.lang.Object mapElement(java.lang.Object obj)

  Description copied from class: `ObjectCopier`
  Called on subobjects of the object being copied to determine what object takes the subobject's place in the copy. The method in the ObjectCopier class is the identity function. In a subclass that made a deep (recursive) copy, it would call `ObjectCopier.copy(Object)` on the element.

  Overrides:
    `mapElement` in class `ObjectCopier`

### mapVariable

    java.lang.Object mapVariable(Variable var)

### getPV

    PlanVariable getPV(Variable var)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD